#!/bin/bash
config="../arch/arm64/configs/sdk.config"
start_content='CONFIG_SND_SOC_PHYTIUM_I2S=y'
end_content='CONFIG_SND_PMDK_DP=y'
add_content='# CONFIG_SND_SOC_PHYTIUM_I2S is not set'
if grep -q "$start_content" "$config"; then
	sed -i "/^${start_content}/i ${add_content}" "$config"
	sed -i "/^${start_content}/,/${end_content}\$/d" "$config"
else
	echo "$start_content does not exist in the $config"
fi

Kconfig="../drivers/gpu/drm/Kconfig" 
rm_pattern='source "drivers/gpu/drm/phytium/Kconfig"'
if grep -q "$rm_pattern" "$Kconfig"; then
	sed -i "\~${rm_pattern}~d" "$Kconfig"
	echo "rm $rm_pattern in the $Kconfig successfully!"
else
	echo "$rm_pattern does not exist in the $Kconfig"
fi

Makefile="../drivers/gpu/drm/Makefile" 
del_pattern='obj-$(CONFIG_DRM_PHYTIUM) += phytium/'
if grep -q "$del_pattern" "$Makefile"; then
	sed -i "\~${del_pattern}~d" "$Makefile"
	echo "rm $del_pattern in the $Makefile successfully!"
else
	echo "$del_pattern does not exist in the $Makefile"
fi

directory="../drivers/gpu/drm/phytium" 
if [ -d "$directory" ]; then
	rm -rf "$directory" 
  	echo "rm $directory directory successfully!"
else
	echo "$directory directory does not exist!"
fi
